Cosmos Post API

Get a public Cosmos post with media URLs, captions, source links, and save count.

1 creditper request
GET
/v1/cosmos/post
curl "https://api.scrapecreators.com/v1/cosmos/post" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "id": 2107587668,
  "url": "https://www.cosmos.so/e/2107587668",
  "created_at": "2026-01-24T17:23:49.338775Z",
  "caption": "Japanese movie poster for A Hard Day's Night (1964) featuring The Beatles.",
  "text": null,
  "title": null,
  "description": null,
  "owner": {
    "id": 2074596056,
    "username": "audreyelli"
  },
  "source_url": "https://www.pinterest.com/pin/7177680652369084/",
  "source_author": {
    "username": "telliott1817",
    "full_name": "Tom Elliott",
    "profile_url": "https://www.pinterest.com/telliott1817",
    "avatar_url": null
  },
  "media": [
    {
      "id": "8d612bfd-2b7b-458c-ac99-af7c406eef97",
      "type": "StaticImage",
      "url": "https://cdn.cosmos.so/8d612bfd-2b7b-458c-ac99-af7c406eef97",
      "width": 1080,
      "height": 1671,
      "ai_generated": false,
      "duration": null,
      "thumbnail_url": null,
      "video_url": null,
      "playback_url": null
    }
  ],
  "price": null,
  "brand": null,
  "save_count": 73
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

Public Cosmos post URL.

Example:
https://www.cosmos.so/e/2107587668